<?php
/**
 * Jaconfig View for Jashowcase Component
 * 
 * @package    	Joomla.Jashowcase
 * @subpackage 	Components
 * @link 		http://joomlart.com/extension/
 * @license		Joomlart.com
 * @author 		Joomlart.com
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

/**
 * Jaconfig View
 *
 * @package    Joomla.Jashowcase
 * @subpackage Components
 */
class jashowcaseViewjaconfig extends JView
{
	
	/**
	 * display method of Jaconfig view
	 * @return void
	 **/
	function display($tpl = null)
	{		
		global $option;
	 	 $task = $_REQUEST['task'];
	 	 
	 	 switch ($task){
	 	 	case 'customfields':{
	 	 		jashowcaseViewjaconfig::_displayFormCustomfeild($tpl);
	 	 	}break;
	 	 	
	 	 	case 'customtpl':{
	 	 		jashowcaseViewjaconfig::_displayFormCustomtpl($tpl);
	 	 	}break;
	 	 	
	 	 	default:
	 	 		jashowcaseViewjaconfig::_displayForm($tpl);
	 	 }
		
	}
	
	function _displayFormCustomtpl($tpl){
		global $option;

		$this->_layout = 'form_customtpl';
		$file 	= JPATH_ROOT.DS.'components'.DS.$option.DS.'views'.DS.'jashowcase'.DS.'tmpl'.DS.'item.tpl';	
		
		$data = '';
		
		if (file_exists($file)) {
			$data = JFile::read($file);
		}
	  	
	  	$this->assignRef('data', $data);
	  	$this->assignRef('option', $option);
		
	  	parent::display($tpl);
	}
	
	function _displayFormCustomfeild($tpl){
		global $option;

		$this->_layout = 'form_customfields';
		$file 	= JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'jaconfig'.DS.'customfields.xml';
		
		$data = '';
		
		if (file_exists($file)) {
			$data = JFile::read($file);
		}
	  	
	  	$this->assignRef('data', $data);
	  	$this->assignRef('option', $option);
		
	  	parent::display($tpl);
	}
	
	function _displayForm($tpl){
		global $option;
		
		$file 	= JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'jaconfig'.DS.'setting.ini';
		$data = JFile::read($file);
		
		$file 	= JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'jaconfig'.DS.'setting.xml';
		
		$params = new JParameter($data, $file);
		
		$this->assignRef('option', $option);
		$this->assignRef('params', $params);
		parent::display($tpl);
	}
}

?>