<?php
/**
 * @version		$Id: jaconfig.php 10094 2008-03-02 04:35:10Z instance $
 * @package		Joomla
 * @subpackage	Jashowcase
 * @copyright	Joomlart.com
 * @license		joomlart.com
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.filesystem.file');
/**
 * @package		Joomla
 * @subpackage	Config
 */
class JashowcaseControllerJaconfig extends JashowcaseController
{
	/**
	 * Constructor
	 */
	function __construct( $default = array())
	{
		parent::__construct( $default );
		$this->registerTask( 'apply', 'save');
		$this->registerTask( 'applyCustomFields', 'saveCustomFields');
		$this->registerTask( 'applyCustomTpl', 'saveCustomTpl');
	}

	/**
	 * Display the list of banners
	 */
	function display()
	{		
		JRequest::setVar('view', 'jaconfig');		
		parent::display();
	}
	function cancel(){
		global $option;
		$this->setRedirect("index.php?option=$option");
	}
	
	/**
	 * save config into setting.php
	 */
	function save(){
		global $option;
		$paramsField = JRequest::getVar( 'params', null, 'post', 'array' );
		// Build parameter INI string
		
		if ($paramsField)
		{	
			$params = new JParameter('');
			$data = array();
			foreach ($paramsField as $k => $v) {
				$params->set($k, $v);					
			}			
			$data = $params->toString();
			$file 	= JPATH_COMPONENT_ADMINISTRATOR.DS.'views/jaconfig/setting.ini';
			if (!JFile::write($file, $data)) {
				echo "<script> alert('Can not save file !'); window.history.go(-1); </script>\n";
				exit();
			}
		}
		
		if($this->getTask() == "apply"){
			$this->setRedirect("index.php?option=$option&task=settings&controller=jaconfig", "Settings saved");
		}
		else{
		   $this->setRedirect("index2.php?option=$option", "Settings saved");
		}
	}
	
	/**
	 * save config into customfiels.xml
	 * 
	 */
	
	function saveCustomFields(){
		global $option;
						
		$file 	= JPATH_COMPONENT_ADMINISTRATOR.DS.'views/jaconfig/customfields.xml';		
		
		$file_content = $_POST['customfiels'];
		$file_content = str_replace (array("\\\\","\\\"","\\'"), array("\\","\"","'"), $file_content);
		if(!JFile::write($file, $file_content)){
			echo "<script> alert('Can not save file !'); window.history.go(-1); </script>\n";
			exit();
		}
		
		if($this->getTask() == "applyCustomFields"){
		  	$this->setRedirect("index.php?option=$option&task=customfields&controller=jaconfig", "Custom Field file saved !");
		}
		else{
		 	$this->setRedirect("index.php?option=$option", "Custom Field file saved !");
		}		
		
	}
	
	/**
	 * save config into customfiels.xml
	 * 
	 */
	
	function saveCustomTpl(){
		global $option;
						
		$file 	= JPATH_ROOT.DS.'components'.DS.$option.DS.'views'.DS.'jashowcase'.DS.'tmpl'.DS.'item.tpl';	
		$file_content = $_POST['customfiels'];
		$file_content = str_replace (array("\\\\","\\\"","\\'"), array("\\","\"","'"), $file_content);
		if(!JFile::write($file, $file_content)){
			echo "<script> alert('Can not save file !'); window.history.go(-1); </script>\n";
			exit();
		}
		
		if($this->getTask() == "applyCustomTpl"){
		  	$this->setRedirect("index.php?option=$option&task=customtpl&controller=jaconfig", "Custom Field file saved !");
		}
		else{
		 	$this->setRedirect("index.php?option=$option", "Custom Field file saved !");
		}		
		
	}
}