<?php
/**
 * @version		$Id: jamanagelang.php 10094 2008-03-02 04:35:10Z instance $
 * @package		Joomla
 * @subpackage	Jashowcase
 * @copyright	Copyright (C) 2005 - 2008 Joomlart.com. All rights reserved.
 * @license		Joomlart.com
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * @package		Joomla
 * @subpackage	Config
 */

class JashowcaseControllerJamanagelang extends JashowcaseController
{
	/**
	 * Constructor
	 */
	function __construct( $default = array())
	{
		parent::__construct( $default );	
		$this->registerTask( 'apply', 'save');	
	}

	/**
	 * Display the list of language
	 */
	function display()
	{		
		switch($this->getTask())
		{						
			case 'add':
			{
				JRequest::setVar( 'hidemainmenu', 1 );
				JRequest::setVar( 'edit', false  );
			} break;	
					
			case 'edit'    :
			{
				JRequest::setVar( 'hidemainmenu', 1 );
				JRequest::setVar( 'edit', true  );
			} break;
								
		}		
		JRequest::setVar('view', 'jamanagelang');
		parent::display();		
	}
	
	/**
	 * cancel  save file
	 * @return redirect to language manager
	 **/
	function cancel(){
		global $option;
		$client = JRequest::getVar('client', 0);
		$this->setRedirect("index.php?option=$option&task=language&controller=jamanagelang&client=$client");
	}
	
	/**
	 * save  language file
	 * @return void
	 **/
	function save(){
		global $option;
		jimport('joomla.filesystem.file');
		$post	= JRequest::get('post');
		$file = $post['path_lang'].DS.$post['filename'].DS.$post['filename'].'.'.$option.'.ini';		
		JFile::write($file, $post['datalang']);	
		if($this->getTask() == 'apply'){
			$this->setRedirect('index.php?option='.$option.'&task=edit&controller=jamanagelang&client='.$post['client'].'&lang='.$post['filename'], JText::_('FILE SAVED'));
		}else{
			$this->setRedirect('index.php?option='.$option.'&task=language&controller=jamanagelang&client='.$post['client'], JText::_('FILE SAVED'));
		}
	}
}
?>