<?php
/**
* @version		$Id: jashowcase.php 10079 2008-02-28 13:39:08Z ircmaxell $
* @package		Joomla
* @subpackage	JaShowcase
* @copyright	Copyright (C) 2005 - 2008 Joomlart.com. All rights reserved.
* @license		Joomlart.com
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
* Jashowcase Table class
*
* @package		Joomla
* @subpackage	Jashowcase
* @since 1.0
*/

class TableJashowcase extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = 0;
	var $ishot = 0;
	var $name			= null;
	var $description 	= null;
	var $published 		= 0;
	var $thumbnail   	= null;
	var $info_url  		= null;
	var $demo_url  		= null;
	var $ordering  		= null;
	var $catid  		= null;
	var $datas  		= null;
	var $directory  	= null;
	var $other_info_url = null;
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct('#__jashowcase', 'id', $db);
	}

	/**
	* Overloaded bind function
	*
	* @acces public
	* @param array $hash named array
	* @return null|string	null is operation was satisfactory, otherwise returns an error
	* @see JTable:bind
	* @since 1.5
	*/
	function bind($array, $ignore = '')
	{
		if (key_exists( 'params', $array ) && is_array( $array['params'] ))
		{
			$registry = new JRegistry();
			$registry->loadArray($array['params']);
			$array['params'] = $registry->toString();
		}

		return parent::bind($array, $ignore);
	}
	function check(){
		return parent::check();
	}
	function reorder(){
		return parent::reorder();
	}
	
}